---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/jdk/jtreg/native/lib/libPipesCloseOnExec.dylib'
relocations:
  - { offsetInCU: 0x4D, offset: 0x4D, size: 0x8, addend: 0x0, symName: _tid_tester, symObjAddr: 0x7EA0, symBinAddr: 0x8130, symSize: 0x0 }
  - { offsetInCU: 0xFE, offset: 0xFE, size: 0x8, addend: 0x0, symName: _start_barrier, symObjAddr: 0x7E20, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0x1EC, offset: 0x1EC, size: 0x8, addend: 0x0, symName: _fd_state, symObjAddr: 0x7EAC, symBinAddr: 0x813C, symSize: 0x0 }
  - { offsetInCU: 0x221, offset: 0x221, size: 0x8, addend: 0x0, symName: _stop_now, symObjAddr: 0x7EA8, symBinAddr: 0x8138, symSize: 0x0 }
  - { offsetInCU: 0x3FE, offset: 0x3FE, size: 0x8, addend: 0x0, symName: _Java_PipesCloseOnExecTest_startTester, symObjAddr: 0xF0, symBinAddr: 0x375C, symSize: 0x134 }
  - { offsetInCU: 0x5FF, offset: 0x5FF, size: 0x8, addend: 0x0, symName: _trc, symObjAddr: 0x224, symBinAddr: 0x3890, symSize: 0x80 }
  - { offsetInCU: 0xB6C, offset: 0xB6C, size: 0x8, addend: 0x0, symName: _testerLoop, symObjAddr: 0x2A4, symBinAddr: 0x3910, symSize: 0x2D8 }
  - { offsetInCU: 0xE39, offset: 0xE39, size: 0x8, addend: 0x0, symName: _Java_PipesCloseOnExecTest_stopTester, symObjAddr: 0x57C, symBinAddr: 0x3BE8, symSize: 0x68 }
...
